Skip to content

Networks that can currently accept payment

GET
/networks/payable
curl --request GET \
--url https://hub.stablezact.com/api/v1/networks/payable \
--header 'X-Public-Key: <X-Public-Key>'

Narrower than /networks. A network appearing here still requires you to have a settlement wallet configured for it before a payment can be created.

The networks.

Media typeapplication/json
object
networks
Array<object>
object
id
string format: uuid
name

Display name, for example Base.

string
shortName

The value to send as network.

string
chainId
string
type

evm or solana.

string
logo
string | null
explorerUrl
string | null
isTestnet
boolean
Examplegenerated
{
"networks": [
{
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"name": "example",
"shortName": "example",
"chainId": "example",
"type": "example",
"logo": "example",
"explorerUrl": "example",
"isTestnet": true
}
]
}

Missing or invalid credentials.

Media typeapplication/json
object
success
boolean
error
required

Short machine-ish reason.

string
message

Longer explanation, when there is one.

string
Example
{
"error": "API credentials required. Use x-public-key header or x-api-key and x-api-secret headers."
}